## ros-kinetic-hrpsys-tools 1.4.2

=== debian/changelog ===
ros-kinetic-hrpsys-tools (1.4.2-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 22 Dec 2017 00:00:00 -0000

ros-kinetic-hrpsys-tools (1.4.1-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Oct 2017 00:00:00 -0000

ros-kinetic-hrpsys-tools (1.4.0-0xenial) xenial; urgency=high

  * fix code to run both Indido and Kinetic (#1025 <https://github.com/start-jsk/rtmros_common/issues/1025>)
    * hrpsys_tools/test/test-pa10.test: increase sleep time to 10
  * set USE_UNSTABLE_RTC as not all unstable rtc defiend in hrpsys_config.py, just for basic walking test, other latest development rtc is passed by arg (#1004 <https://github.com/start-jsk/rtmros_common/issues/1004>)
    * [hrpsys_ros_bridge/launch/hrpsys_ros_bridge.launch,hrpsys_ros_bridge/scripts/default_robot_ros_bridge.launch.in,hrpsys_ros_bridge/euslisp/rtm-ros-robot-interface.l,hrpsys_tools/launch/hrpsys.launch] Update for ObjectTurnaroundDetector RTC. add USE_REFERENCEFORCEUDPATER and USE_OBJECTCONTACTTURNAROUNDDETECTOR.
  * Contributors: Kei Okada, Shunichi Nozawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 09 Aug 2017 00:00:00 -0000

ros-kinetic-hrpsys-tools (1.3.3-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 12 Feb 2017 00:00:00 -0000

ros-kinetic-hrpsys-tools (1.3.2-0xenial) xenial; urgency=high

  * [refactor] remove old rosbuild files
  * [hrpsys_tools/launch/hrpsys.launch] add ReferenceForceUpdater
  * Contributors: Koyama Ryo, Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 26 Apr 2016 00:00:00 -0000

ros-kinetic-hrpsys-tools (1.3.1-0xenial) xenial; urgency=high

  * deb release only targeting to indigo

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 16 Dec 2015 00:00:00 -0000

ros-kinetic-hrpsys-tools (1.3.0-0xenial) xenial; urgency=high

  * deb release only targeting to indigo
  * bug fixes
    
      * [hrpsys_tools/samples/pa10.launch] Fix VRML path for pa10  hrpsys_tools test (hrpsys_tools/samples/pa10.launch)  #829 <https://github.com/start-jsk/rtmros_common/issues/829>
    
  * Chorenoid support (launch/hrpsys.launch )
    
      * fix hrpsys.launch because choreonoid do not need options for   periodic_rate and context_type #810 <https://github.com/start-jsk/rtmros_common/issues/810>
    add USE_CHOREONOID argument to hrpsys.launch for using choreonoid instead of hrpsys-simulator #787
  * scripts/rtmroswtf.sh updates #764 <https://githbub.com/start-jsk/rtmros_common/issues/764>
    
      * [scripts/rtmroswtf.sh] disply LD_LIBRARY_PATH too
      * [scripts/rtmroswtf.sh] rtls is now global bin
      * [scripts/rtmroswtf.sh] check all package with git status
      * [rtmroswtf] Copyrights
      * [rtmroswtf] Add printing git status
      * [rtmroswtf] Add printing pkg path
      * [rtmroswtf] Add printing rosversion
      * [rtmroswtf] Remove verbose from tar that confuses users to
        sendback which tarball
    
  * Contributors: Isaac IY Saito, Kei Okada, Shunichi Nozawa, YoheiKakiuchi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 09 Dec 2015 00:00:00 -0000

ros-kinetic-hrpsys-tools (1.2.14-0xenial) xenial; urgency=high

  * Add EmergencyStopper setting to hrpsys.launch
  * Contributors: Shunichi Nozawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 23 Jun 2015 00:00:00 -0000

ros-kinetic-hrpsys-tools (1.2.13-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 11 Jun 2015 00:00:00 -0000

ros-kinetic-hrpsys-tools (1.2.12-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 27 Apr 2015 00:00:00 -0000

ros-kinetic-hrpsys-tools (1.2.11-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 25 Apr 2015 00:00:00 -0000

ros-kinetic-hrpsys-tools (1.2.10-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 24 Apr 2015 00:00:00 -0000

ros-kinetic-hrpsys-tools (1.2.9-0xenial) xenial; urgency=high

  * [hrpsys_tools/hrpsys.launch] support DEBUG_HRPSYS argument to run rtcd with gdb
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 11 Apr 2015 00:00:00 -0000

ros-kinetic-hrpsys-tools (1.2.8-0xenial) xenial; urgency=high

  * [test-*.py] test name could not contain minus? any changet to underscore (http://answers.ros.org/question/197377/rostest-not-finding-the-actual-test/)
  * (diagnosis info) Renamed a script to show respect for the great ROS ancestors.
  * (diagnosis info) Obtain package versions in a more generic way.
  * (diagnosis info) Catch error stream.
  * (diagnosis info) Variablize corba hostname and port.
  * Add a very simple tool for recording system diagnosis info.
  * Contributors: Isaac IY Saito, Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 09 Mar 2015 00:00:00 -0000

ros-kinetic-hrpsys-tools (1.2.7-0xenial) xenial; urgency=high

  * (_gen_project) : Add argument to specify highgain mode
  * (hrpsys.launch) : Support PDController setting for hrpsys.launch.
  * Contributors: Shunichi Nozawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2015 00:00:00 -0000

ros-kinetic-hrpsys-tools (1.2.6-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 10 Oct 2014 00:00:00 -0000

ros-kinetic-hrpsys-tools (1.2.5-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 04 Oct 2014 00:00:00 -0000

ros-kinetic-hrpsys-tools (1.2.4-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 08 Sep 2014 00:00:00 -0000

ros-kinetic-hrpsys-tools (1.2.3-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 03 Sep 2014 00:00:00 -0000

ros-kinetic-hrpsys-tools (1.2.2-0xenial) xenial; urgency=high

  * (hrpsys.launch) : Add config_file setting for HGcontroller

